javax.resource.spi

## Enum AuthenticationMechanism.CredentialInterface

- java.lang.Object
- - java.lang.Enum<AuthenticationMechanism.CredentialInterface>
  - - javax.resource.spi.AuthenticationMechanism.CredentialInterface

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AuthenticationMechanism.CredentialInterface>
  Enclosing class:
    AuthenticationMechanism

      public static enum AuthenticationMechanism.CredentialInterface
      extends java.lang.Enum<AuthenticationMechanism.CredentialInterface>

  An enumerated type that represents the various interfaces that a resource adapter may support for the representation of the credentials.
  Since:
    1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GenericCredential` Corresponds to `javax.resource.spi.security.GenericCredential`
    `GSSCredential` Corresponds to `org.ietf.jgss.GSSCredential`
    `PasswordCredential` Corresponds to `javax.resource.spi.security.PasswordCredential`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationMechanism.CredentialInterface` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticationMechanism.CredentialInterface[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PasswordCredential

          public static final AuthenticationMechanism.CredentialInterface PasswordCredential

      Corresponds to `javax.resource.spi.security.PasswordCredential`. This is the default credential interface

    - #### GSSCredential

          public static final AuthenticationMechanism.CredentialInterface GSSCredential

      Corresponds to `org.ietf.jgss.GSSCredential`

    - #### GenericCredential

          public static final AuthenticationMechanism.CredentialInterface GenericCredential

      Corresponds to `javax.resource.spi.security.GenericCredential`

  - ### Method Detail

    - #### values

          public static AuthenticationMechanism.CredentialInterface[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationMechanism.CredentialInterface c : AuthenticationMechanism.CredentialInterface.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationMechanism.CredentialInterface valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2015 IronJacamar (http://www.ironjacamar.org)